appium-idb
===================

appium-idb is NodeJS wrapper over iOS Device Bridge (idb) set of utilities made by Facebook. Read https://www.fbidb.io for more details.


## Requirements

- Python 3.6 or newer
- XCode 10 or newer
- idb_companion
- idb


## Installation

Use the following commands to setup idb and its dependencies:

```
brew tap facebook/fb
brew install idb-companion
pip3.6 install fb-idb
```


## Usage

```js
const idb = IDB({
  udid: deviceUdid,
});
await idb.connect();
const deviceInfo = await idb.describeDevice();
await idb.disconnect();
```

Check https://github.com/appium/appium-idb/blob/master/lib/idb.js on the list of supported IDB options. `udid` option is mandatory and can be both Simulator or real device id. It is mandatory to call `connect` method before invoking idb instance methods (this will trigger idb companion and idb daemon processes if necessary). Calling `disconnect` will stop the previously started companion processes.

Go through the modules in https://github.com/appium/appium-idb/tree/master/lib/tools to get the full list of supported commands.


## Watch

```
npm run watch
```


## Test

```
npm test
```
